Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.impl
Class DefaultConfiguration.RuntimeConfigurationImpl

    java.lang.Object
      com.opensymphony.xwork2.config.impl.DefaultConfiguration.RuntimeConfigurationImpl

All Implemented Interfaces:
  RuntimeConfiguration, Serializable

Enclosing class:
  DefaultConfiguration

    private class DefaultConfiguration.RuntimeConfigurationImpl

extends Object
implements RuntimeConfiguration

Field Summary
`private Map<String,ActionConfigMatcher>` | `namespaceActionConfigMatchers`
`private Map<String,Map<String,ActionConfig>>` | `namespaceActionConfigs`
`private Map<String,String>` | `namespaceConfigs`

Constructor Summary
`DefaultConfiguration.RuntimeConfigurationImpl(Map<String,Map<String,ActionConfig>> namespaceActionConfigs, Map<String,String> namespaceConfigs)`

Method Summary
`ActionConfig` | `getActionConfig(String namespace, String name)` Gets the configuration information for an action name, or returns null if the name is not recognized.
`Map` | `getActionConfigs()` Gets the configuration settings for every action.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### namespaceActionConfigs

    private Map<String,Map<String,ActionConfig>> namespaceActionConfigs

### namespaceActionConfigMatchers

    private Map<String,ActionConfigMatcher> namespaceActionConfigMatchers

### namespaceConfigs

    private Map<String,String> namespaceConfigs

Constructor Detail

### DefaultConfiguration.RuntimeConfigurationImpl

    public DefaultConfiguration.RuntimeConfigurationImpl(Map<String,Map<String,ActionConfig>> namespaceActionConfigs,
                                                         Map<String,String> namespaceConfigs)

Method Detail

### getActionConfig

    public ActionConfig getActionConfig(String namespace,
                                        String name)

  Gets the configuration information for an action name, or returns null if the name is not recognized.

  Specified by:
    `getActionConfig` in interface `RuntimeConfiguration`
  Parameters:
    `name` - the name of the action
    `namespace` - the namespace for the action or null for the empty namespace, ""
  Returns:
    the configuration information for action requested

### getActionConfigs

    public Map getActionConfigs()

  Gets the configuration settings for every action.

  Specified by:
    `getActionConfigs` in interface `RuntimeConfiguration`
  Returns:
    a Map of namespace - > Map of ActionConfig objects, with the key being the action name

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.